Bug 201010 - [PATCH] converters/bsdconv: update to 11.3.1
Summary: [PATCH] converters/bsdconv: update to 11.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-21 16:49 UTC by Po-Chuan Hsieh
Modified: 2015-06-28 08:44 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (buganini)


Attachments
bsdconv diff (23.65 KB, patch)
2015-06-21 16:49 UTC, Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2015-06-21 16:49:12 UTC
Created attachment 157935 [details]
bsdconv diff

- Update to 11.3.1
- Strip binary executable and shared library
- Convert to new options helper
- Use OPTIONS_SUB
- Remove outdated pre-install:
- Regenerate patch file with makepatch:

Changes:        https://github.com/buganini/bsdconv/releases
Comment 1 buganini 2015-06-27 05:28:45 UTC
Approved, thanks!
Comment 2 commit-hook freebsd_committer 2015-06-28 08:38:47 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Jun 28 08:38:07 UTC 2015
New revision: 390746
URL: https://svnweb.freebsd.org/changeset/ports/390746

Log:
  - Update to 11.3.1
  - Strip binary executable and shared library
  - Convert to new options helper
  - Use OPTIONS_SUB
  - Remove outdated pre-install:
  - Regenerate patch file with makepatch:

  Changes:	https://github.com/buganini/bsdconv/releases
  PR:		201010
  Submitted by:	sunpoet (myself)
  Approved by:	Kuan-Chung Chiu <buganini@gmail.com> (maintainer)

Changes:
  head/converters/bsdconv/Makefile
  head/converters/bsdconv/distinfo
  head/converters/bsdconv/files/patch-Makefile
  head/converters/bsdconv/pkg-plist
Comment 3 Po-Chuan Hsieh freebsd_committer 2015-06-28 08:44:18 UTC
Committed. Thanks!